Subject: Re: [PATCH net] Revert "net: ethernet: bcmgenet: use phydev from struct net_device"

From: Florian Fainelli <[email-masked]>
Date: Sat, 24 Sep 2016 20:02:39 -0700

On 09/24/2016 07:51 PM, Florian Fainelli wrote:
> 
> 
> On 09/24/2016 05:10 PM, David Miller wrote:
>> From: Florian Fainelli <[email-masked]>
>> Date: Sat, 24 Sep 2016 12:58:30 -0700
>>
>>> There is already a commit:
>>>
>>> Revert "net: ethernet: bcmgenet: use phy_ethtool_{get|set}_link_ksettings"
>>>
>>> which should make this apply cleanly to "net" now.
>>
>> But look at net-next, it got re-added there.
>>
>> This is going to be a bit of a merge hassle, and this is why I pushed
>> back on the other attempt to revert this thing.
> 
> OK, so how about this:
> 
> - this patch applies to net which should be okay for now
> - to avoid future conflicts when you merge net into net-next, I submit a
> revert of "net: ethernet: bcmgenet: use
> phy_ethtool_{get|set}_link_ksettings" against net-next
> 
> Does that work for you?

Scratch that, seems like I need to submit another version of this revert
for net-next, let me submit that as well.